<div class="iframe-container">
    <div *ngIf="customerRole === 'Finance'" class="iframe-tile">
        <iframe width="220" height="220" [src]="salesUrl" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content">
            <span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/sales_overview.png" /></span>
            <span class="tile-footer" (click)="openIframe('sales')">Sales</span></span>
    </div>
    <div *ngIf="customerRole === 'Finance'" class="iframe-tile">
        <iframe width="220" height="220" [src]="payableUrl" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content"><span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/finance/payable.png" /></span>
            <span class="tile-footer" (click)="openIframe('payable')">Payable</span></span>
    </div>
    <div *ngIf="customerRole === 'Finance'" class="iframe-tile">
        <iframe width="220" height="220" [src]="receivableUrl" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content"><span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/finance/receivable.png" /></span>
            <span class="tile-footer" (click)="openIframe('recievable')">Receivable</span></span>
    </div>
    <div *ngIf="customerRole === 'Finance'" class="iframe-tile">
        <iframe width="220" height="220" [src]="inventoryUrl" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content"><span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/finance/inventory.png" /></span>
            <span class="tile-footer" (click)="openIframe('inventoryOverview')">Inventory</span></span>
    </div>
    <div *ngIf="customerRole === 'HR'" class="iframe-tile">
        <iframe width="220" height="220" [src]="lastMonthSalary" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content"><span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/last_month_salary.png" /></span>
            <span class="tile-footer" (click)="openIframe('sales')">Last Month Salary</span></span>
    </div>
    <div *ngIf="customerRole === 'HR'" class="iframe-tile">
        <iframe width="220" height="220" [src]="lastMonthOnvertime" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content">
            <span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/last_month_overtime.png" /></span>
            <span class="tile-footer" (click)="openIframe('payable')">Last Month Overtime</span>
        </span>
    </div>
    <div *ngIf="customerRole === 'HR'" class="iframe-tile">
        <iframe width="220" height="220" [src]="lastMonthHousingTravelExp" frameborder="0"
            allowFullScreen="true"></iframe>
        <span class="iframe-content">
            <span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/housing_allowance_management.png" /></span>
            <span class="tile-footer" (click)="openIframe('recievable')">Housing & Travel Expenses</span></span>
    </div>
    <div *ngIf="customerRole === 'HR'" class="iframe-tile">
        <iframe width="220" height="220" [src]="variableExpenses" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content">
            <span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/receivable_overview.png" /></span>
            <span class="tile-footer" (click)="openIframe('itbr')">Variable Expenses</span>
        </span>
    </div>
    <div *ngIf="customerRole === 'MySaned'" class="iframe-tile">
        <iframe width="220" height="220" [src]="noOfEmployees" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content">
            <span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/last_month_salary.png"></span>
            <span class="tile-footer" (click)="openIframe('sales')">Number of Employees</span>
        </span>
    </div>
    <div *ngIf="customerRole === 'MySaned'" class="iframe-tile">
        <iframe width="220" height="220" [src]="saudization" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content">
            <span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/sales_overview.png" /></span>
            <span class="tile-footer" (click)="openIframe('payable')">Saudization</span>
        </span>
    </div>
    <div *ngIf="customerRole === 'MySaned'" class="iframe-tile">
        <iframe width="220" height="220" [src]="lastMonthSalary" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content">
            <span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/last_month_salary.png" /></span>
            <span class="tile-footer" (click)="openIframe('recievable')">Last Month Salary</span>
        </span>
    </div>
    <div *ngIf="customerRole === 'MySaned'" class="iframe-tile">
        <iframe width="220" height="220" [src]="empOnDuty" frameborder="0" allowFullScreen="true"></iframe>
        <span class="iframe-content">
            <span class="iframe-icon"><img class="img-fluid"
                    src="../../../../../assets/images/icons/hr/last_month_salary.png" /></span>
            <span class="tile-footer" (click)="openIframe('itbr')">Employees On Duty</span>
        </span>
    </div>
</div>